public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/hashcat/
Date: Fri,  3 Dec 2021 03:19:59 +0000 (UTC)	[thread overview]
Message-ID: <1638501588.aaf6f70da273ecc94072fe163561d7fbc674b5b0.sam@gentoo> (raw)

commit:     aaf6f70da273ecc94072fe163561d7fbc674b5b0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  3 03:19:44 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  3 03:19:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aaf6f70d

app-crypt/hashcat: update EAPI 7 -> 8

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/hashcat/hashcat-6.2.5.ebuild | 45 ++++++++++++++++++++--------------
 1 file changed, 26 insertions(+), 19 deletions(-)

diff --git a/app-crypt/hashcat/hashcat-6.2.5.ebuild b/app-crypt/hashcat/hashcat-6.2.5.ebuild
index 1adb6223b74a..c0d476c28a7e 100644
--- a/app-crypt/hashcat/hashcat-6.2.5.ebuild
+++ b/app-crypt/hashcat/hashcat-6.2.5.ebuild
@@ -1,15 +1,13 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit pax-utils toolchain-funcs
 
 DESCRIPTION="World's fastest and most advanced password recovery utility"
 HOMEPAGE="https://github.com/hashcat/hashcat"
-LICENSE="MIT"
-SLOT="0"
-if [ "${PV}" = "9999" ]; then
+if [[ ${PV} == "9999" ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/hashcat/hashcat.git"
 else
@@ -17,33 +15,42 @@ else
 	SRC_URI="https://github.com/hashcat/hashcat/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 fi
 
+LICENSE="MIT"
+SLOT="0"
 IUSE="brain video_cards_nvidia"
-DEPEND="
-	app-arch/lzma
+
+DEPEND="app-arch/lzma
 	app-arch/unrar
 	sys-libs/zlib[minizip]
 	brain? ( dev-libs/xxhash )
-	video_cards_nvidia? ( >x11-drivers/nvidia-drivers-440.64
-						|| ( dev-util/nvidia-cuda-toolkit
-							virtual/opencl )
-						)
+	video_cards_nvidia? (
+		>x11-drivers/nvidia-drivers-440.64
+		|| (
+			dev-util/nvidia-cuda-toolkit
+			virtual/opencl
+		)
+	)
 	!video_cards_nvidia? ( virtual/opencl )"
 RDEPEND="${DEPEND}"
 
 src_prepare() {
-	# remove bundled stuff
+	# Remove bundled stuff
 	rm -r deps/OpenCL-Headers || die "Failed to remove bundled OpenCL Headers"
 	rm -r deps/xxHash || die "Failed to remove bundled xxHash"
+
 	# TODO: Gentoo's app-arch/lzma doesn't install the needed files
 	#rm -r deps/LZMA-SDK || die "Failed to remove bundled LZMA-SDK"
 	#rm -r deps || die "Failed to remove bundled deps"
 
-	# do not strip
-	sed -i "/LFLAGS                  += -s/d" src/Makefile
-	# do not add random CFLAGS
+	# Do not strip
+	sed -i "/LFLAGS                  += -s/d" src/Makefile || die
+
+	# Do not add random CFLAGS
 	sed -i "s/-O2//" src/Makefile || die
+
 	#sed -i "#LZMA_SDK_INCLUDE#d" src/Makefile || die
-	# respect CC, CXX, AR
+
+	# Respect CC, CXX, AR
 	sed -i \
 		-e 's/:= gcc/:= $(CC)/' \
 		-e 's/:= g++/:= $(CXX)/' \
@@ -80,14 +87,14 @@ src_test() {
 		addwrite /dev/nvidia0
 		addwrite /dev/nvidiactl
 		addwrite /dev/nvidia-uvm
-		if [ ! -w /dev/nvidia0 ]; then
+
+		if [[ ! -w /dev/nvidia0 ]]; then
 			einfo "To run these tests, portage likely must be in the video group."
 			einfo "Please run \"gpasswd -a portage video\" if the tests will fail"
 		fi
-	#elif use vidia_cards_fglrx; then
-	#	addwrite /dev/ati
 	fi
-	#this always exits with 255 despite success
+
+	# This always exits with 255 despite success
 	#./hashcat -b -m 2500 || die "Test failed"
 	LD_PRELOAD=./libhashcat.so.${PV} ./hashcat -a 3 -m 1500 nQCk49SiErOgk || die "Test failed"
 }


             reply	other threads:[~2021-12-03  3:20 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-03  3:19 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-24  2:12 [gentoo-commits] repo/gentoo:master commit in: app-crypt/hashcat/ Rick Farina
2023-08-19 22:40 Rick Farina
2023-08-19 22:40 Rick Farina
2022-12-03  1:37 Sam James
2021-12-03  3:19 Sam James
2021-05-29  7:02 Sam James
2021-05-18 15:12 Rick Farina
2021-05-18 15:12 Rick Farina
2020-06-16 19:21 Rick Farina
2020-04-01 21:15 Marek Szuba
2019-01-07 19:45 Rick Farina
2018-11-08 15:56 Rick Farina
2018-11-05 20:06 Richard Farina
2018-10-23 20:22 Richard Farina
2018-08-03 20:30 Richard Farina
2018-02-23 17:30 Richard Farina
2017-12-07 16:08 Richard Farina
2017-11-24  6:06 Matt Turner
2017-10-04  7:47 Michał Górny
2017-03-03 16:44 Richard Farina
2017-01-18 17:59 Richard Farina
2016-09-03 21:32 Richard Farina
2016-09-02  4:05 Richard Farina

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1638501588.aaf6f70da273ecc94072fe163561d7fbc674b5b0.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox